Name: wavpack
Version: 4.40.0
Release: alt0.1

Summary: Open audio compression codec

License: other
Group: System/Libraries
Url: http://www.wavpack.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.wavpack.com/%name-%version.tar.bz2

Requires: lib%name = %version-%release

# Automatically added by buildreq on Mon Jan 15 2007
BuildRequires: gcc-c++

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.

Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality. In the default
lossless mode WavPack acts just like a WinZip compressor for audio
files. However, unlike MP3 or WMA encoding which can affect the sound
quality, not a single bit of the original information is lost, so
there's no chance of degradation. This makes lossless mode ideal for
archiving audio material or any other situation where quality is
paramount. The compression ratio depends on the source material, but
generally is between 30%% and 70%%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%package -n lib%name
Summary: Wavpack library
Group: System/Libraries

%description -n lib%name
Wavpack library.

%package -n lib%name-devel
Summary: Header files for Wavpack
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files for Wavpack.

%package -n lib%name-devel-static
Summary: Static Wavpack library
Group: Development/Other
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static Wavpack library.

%prep
%setup -q

%build
%__autoreconf
%configure --disable-static
%make_build

%install
%make_install install \
	DESTDIR=%buildroot

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc ChangeLog README license.txt
%_bindir/*

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_includedir/wavpack/
%_pkgconfigdir/*.pc

#%files static
#%_libdir/lib*.a

%changelog
* Mon Jan 15 2007 Vitaly Lipatov <lav@altlinux.ru> 4.40.0-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)

